darcs

Issue 2510 Unable to build on Windows

Title Unable to build on Windows
Priority Status unknown
Milestone 2.12.0 Resolved in 2.12.0
Superseder Nosy List joris.putcuyps
Assigned To
Topics

Created on 2016-09-10.14:12:33 by joris.putcuyps, last changed 2016-09-12.20:40:01 by joris.putcuyps.

Files
File name Uploaded Type Edit Remove
darcs-2.12.1.log joris.putcuyps, 2016-09-10.14:12:32 application/octet-stream
unnamed joris.putcuyps, 2016-09-10.14:12:32 text/html
unnamed joris.putcuyps, 2016-09-11.09:07:35 text/html
unnamed joris.putcuyps, 2016-09-12.20:39:59 text/html
Messages
msg19275 (view) Author: joris.putcuyps Date: 2016-09-10.14:12:32
Hello

I'm unable to build darcs-2.12.0, nor 2.12.1, on both Windows 10 and
Windows 7 with the latest Haskel Platform (ghc-8.0.1) using "cabal install
darcs -f-curl".
It appears to originate in Darcs.Util.ByteString which hides the required
types using the preprocessor directives e.g.:

[ 41 of 234] Compiling Darcs.Util.ByteString (
src\Darcs\Util\ByteString.hs, dist\build\Darcs\Util\ByteString.o )
src\Darcs\Util\ByteString.hs:415:22: error:
    Not in scope: type constructor or class `SomeException'


#if mingw32_HOST_OS
#else
import Control.Exception ( catch, SomeException )
#endif

Joris
Attachments
msg19277 (view) Author: gh Date: 2016-09-10.22:40:18
Thanks for the report!

Indeed there has been a confusion in the module you're mentioning, which
now seems obvious. In one patch, Gasneh disabled some imports under
Windows, and in a latter patch, I moved a function that needed the same
imports *under all platforms*.

The fix will be part of a 2.12.3 release soon.
msg19279 (view) Author: noreply Date: 2016-09-10.22:44:36
The following patch sent by Guillaume Hoffmann <guillaumh@gmail.com> updated issue issue2510 with
status=resolved;resolvedin=2.12.0 HEAD

* resolve issue2510: import Control.Exception even under Windows 
Ignore-this: 5cb2533ab84e938858aafd62e8057b66
msg19280 (view) Author: joris.putcuyps Date: 2016-09-11.09:07:35
Hello again

This issue is not completely fixed. The one situation I gave was only an
example.
This is the current failure on darcs-2.12.3:

[ 40 of 234] Compiling Darcs.Util.Encoding ( src\Darcs\Util\Encoding.hs,
dist\build\Darcs\Util\Encoding.o )
[ 41 of 234] Compiling Darcs.Util.ByteString (
src\Darcs\Util\ByteString.hs, dist\build\Darcs\Util\ByteString.o )

src\Darcs\Util\ByteString.hs:416:30: error:
    Variable not in scope: performGC :: IO a0

If you don't have Windows machines available I glad to assist by checking
out darcs-2.12 HEAD building and returning the result.

Regards

Joris

---------- Forwarded message ----------
From: noreply <bugs@darcs.net>
Date: 2016-09-11 0:44 GMT+02:00
Subject: [issue2510] Unable to build on Windows
To: joris.putcuyps@gmail.com



noreply <noreply@darcs.net> added the comment:

The following patch sent by Guillaume Hoffmann <guillaumh@gmail.com>
updated issue issue2510 with
status=resolved;resolvedin=2.12.0 HEAD

* resolve issue2510: import Control.Exception even under Windows
Ignore-this: 5cb2533ab84e938858aafd62e8057b66

----------
resolvedin:  -> 2.12.0 HEAD
status: unknown -> resolved

__________________________________
Darcs bug tracker <bugs@darcs.net>
<http://bugs.darcs.net/issue2510>
__________________________________
Attachments
msg19281 (view) Author: gh Date: 2016-09-12.15:47:48
Oops * 2

Indeed I only check darcs builds on my personal machine (Ubuntu Linux)
and I don't have a Windows machine available.

Could you send us a patch that fixes building under Windows?
msg19282 (view) Author: joris.putcuyps Date: 2016-09-12.20:39:59
Hello Guillaume

I've only had to change one extra thing on darcs HEAD

hunk ./src/Darcs/Util/ByteString.hs 114
-import System.Mem( performGC )
hunk ./src/Darcs/Util/ByteString.hs 116
+import System.Mem( performGC )

Note however I cannot be sure compilable means correct code!

Regards

Joris

2016-09-12 17:47 GMT+02:00 Guillaume Hoffmann <bugs@darcs.net>:

>
> Guillaume Hoffmann <guillaumh@gmail.com> added the comment:
>
> Oops * 2
>
> Indeed I only check darcs builds on my personal machine (Ubuntu Linux)
> and I don't have a Windows machine available.
>
> Could you send us a patch that fixes building under Windows?
>
> __________________________________
> Darcs bug tracker <bugs@darcs.net>
> <http://bugs.darcs.net/issue2510>
> __________________________________
>
Attachments
History
Date User Action Args
2016-09-10 14:12:33joris.putcuypscreate
2016-09-10 22:40:20ghsetmessages: + msg19277
milestone: 2.12.0
2016-09-10 22:44:37noreplysetstatus: unknown -> resolved
messages: + msg19279
resolvedin: 2.12.0
2016-09-11 09:07:37joris.putcuypssetfiles: + unnamed
status: resolved -> unknown
messages: + msg19280
2016-09-12 15:47:50ghsetmessages: + msg19281
2016-09-12 20:40:01joris.putcuypssetfiles: + unnamed
messages: + msg19282